For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETList Countries
              • GETGet Address Edit Permission
              • GETList Company Addresses
              • POSTCreate Company Address
              • GETSearch Company Addresses
              • POSTSearch Addresses with Multiple Filters
              • GETGet Address
              • PUTUpdate Address Information
              • PUTMark Address as Active or Inactive
              • GETGet Company Default Addresses
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyAddresses

Get Address Edit Permission

GET
https://api-b2b.bigcommerce.com/api/v2/companies/addresses/permission
GET
/api/v2/companies/addresses/permission
$curl https://api-b2b.bigcommerce.com/api/v2/companies/addresses/permission \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "isAllow": "1",
6 "isEnabled": "1"
7 }
8}
Checks whether or not the storefront allows Company users to modify addresses. This corresponds with the Address book management settings in the B2B Edition control panel. See [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center to learn more. Equivalent Storefront GraphQL API Query: `addressConfig`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

List Countries

Next

List Company Addresses

Built with

Checks whether or not the storefront allows Company users to modify addresses. This corresponds with the Address book management settings in the B2B Edition control panel. See B2B Edition Settings in the Help Center to learn more.

Equivalent Storefront GraphQL API Query: addressConfig. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Response

OK
messagestring
codedoubleDefaults to 200
dataobject